---
updatedAt: 2026-10-06T17:40:07.000Z
agentTools:
  projectIndex: https://docs.akeyless.io/llms.txt
---

# /target-update-aerospike

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "contact": {
      "email": "support@akeyless.io",
      "name": "Akeyless",
      "url": "http://akeyless.io"
    },
    "description": "The purpose of this application is to provide access to Akeyless API.",
    "title": "Infrastructure & connectivity",
    "version": "3.0"
  },
  "paths": {
    "/target-update-aerospike": {
      "post": {
        "operationId": "targetUpdateAerospike",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/targetUpdateAerospike"
              }
            }
          },
          "required": true,
          "x-go-name": "Body"
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/targetUpdateAerospikeResponse"
          },
          "default": {
            "$ref": "#/components/responses/errorResponse"
          }
        },
        "tags": [
          "Targets"
        ],
        "x-docs-category": "Infrastructure & connectivity",
        "x-docs-group": "Targets"
      }
    }
  },
  "tags": [
    {
      "name": "Targets"
    }
  ],
  "x-readme": {
    "apply-tag-changes": true
  },
  "servers": [
    {
      "url": "https://api.akeyless.io"
    }
  ],
  "components": {
    "responses": {
      "errorResponse": {
        "description": "errorResponse wraps any error to return it as a JSON object with one \"error\"\nfield.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/JSONError"
            }
          }
        }
      },
      "targetUpdateAerospikeResponse": {
        "description": "targetUpdateAerospikeResponse wraps response body.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/targetUpdateOutput"
            }
          }
        }
      }
    },
    "schemas": {
      "JSONError": {
        "properties": {
          "error": {
            "type": "string",
            "x-go-name": "Err"
          }
        },
        "title": "JSONError wraps an error with JSON object.",
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client"
      },
      "targetUpdateAerospike": {
        "properties": {
          "admin-username": {
            "description": "Username of an account with the user-admin role",
            "type": "string",
            "x-go-name": "AdminUsername"
          },
          "aerospike-client-id": {
            "description": "Client ID for Aerospike Cloud authentication (relevant only for Aerospike Cloud)",
            "type": "string",
            "x-go-name": "APIKeyID"
          },
          "aerospike-client-secret": {
            "description": "Client secret for Aerospike Cloud authentication (relevant only for Aerospike Cloud)",
            "type": "string",
            "x-go-name": "APIKeySecret"
          },
          "aerospike-cloud": {
            "description": "Set to 'true' for Aerospike Cloud deployments",
            "type": "boolean",
            "x-go-name": "Cloud"
          },
          "aerospike-cluster-id": {
            "description": "Cloud cluster ID (relevant only for Aerospike Cloud)",
            "type": "string",
            "x-go-name": "ClusterID"
          },
          "client-certificate": {
            "description": "Client certificate for mTLS (mTLS only)",
            "type": "string",
            "x-go-name": "ClientCertificate"
          },
          "client-private-key": {
            "description": "Client private key for mTLS (mTLS only)",
            "type": "string",
            "x-go-name": "ClientPrivateKey"
          },
          "db-server-name": {
            "description": "TLS server name used to verify the certificate hostname. If empty, the Aerospike hostname is used.",
            "type": "string",
            "x-go-name": "DBServerName"
          },
          "delete_protection": {
            "description": "Protection from accidental deletion of this object [true/false]",
            "type": "string",
            "x-go-name": "ObjectProtected"
          },
          "description": {
            "default": "default_comment",
            "description": "Description of the object",
            "type": "string",
            "x-go-name": "Description"
          },
          "enable-mtls": {
            "description": "Enable mutual TLS authentication - requires --ssl=true (true/false)",
            "type": "boolean",
            "x-go-name": "EnableMTLS"
          },
          "hostname": {
            "description": "Aerospike host address and port (e.g. url.to.aerospike.db)",
            "type": "string",
            "x-go-name": "Hostname"
          },
          "json": {
            "default": false,
            "description": "Set output format to JSON",
            "type": "boolean",
            "x-go-name": "Json"
          },
          "keep-prev-version": {
            "description": "Whether to keep previous version [true/false]. If not set, use default according to account settings",
            "type": "string",
            "x-go-name": "KeepPrevVersion"
          },
          "key": {
            "description": "The name of a key that used to encrypt the target secret value (if empty, the account default protectionKey key will be used)",
            "type": "string",
            "x-go-name": "ProtectionKey"
          },
          "lock-on-read": {
            "description": "Lock this secret after each successful value read",
            "type": "string",
            "x-go-name": "LockOnRead"
          },
          "lock-ttl": {
            "description": "Lock TTL in minutes",
            "type": "string",
            "x-go-name": "LockTTL"
          },
          "max-versions": {
            "description": "Set the maximum number of versions, limited by the account settings defaults.",
            "type": "string",
            "x-go-name": "MaxVersions"
          },
          "name": {
            "description": "Target name",
            "type": "string",
            "x-go-name": "TargetName"
          },
          "namespace": {
            "description": "Namespace name (relevant only for Aerospike db)",
            "type": "string",
            "x-go-name": "Namespace"
          },
          "new-comment": {
            "default": "default_comment",
            "description": "Deprecated - use description",
            "type": "string",
            "x-go-name": "NewComment"
          },
          "new-name": {
            "description": "New target name",
            "type": "string",
            "x-go-name": "NewTargetName"
          },
          "password": {
            "description": "Password for the admin user",
            "type": "string",
            "x-go-name": "Password"
          },
          "port": {
            "description": "Database connection port",
            "type": "string",
            "x-go-name": "Port"
          },
          "rotate-on-unlock": {
            "description": "Rotate this secret after it is unlocked",
            "type": "string",
            "x-go-name": "RotateOnUnlock"
          },
          "skip-server-name-validation": {
            "description": "Skip server name verification while still validating the certificate chain (true/false). Empty means do not skip.",
            "type": "string",
            "x-go-name": "SkipServerNameValidation"
          },
          "ssl": {
            "description": "Enable SSL encryption (true/false)",
            "type": "boolean",
            "x-go-name": "SSL"
          },
          "ssl-certificate": {
            "description": "Base64-encoded SSL CA certificate from a trusted Certificate Authority (CA)",
            "type": "string",
            "x-go-name": "SSLCertificate"
          },
          "token": {
            "description": "Authentication token (see `/auth` and `/configure`)",
            "type": "string",
            "x-go-name": "Profile"
          },
          "uid-token": {
            "description": "The universal identity token, Required only for universal_identity authentication",
            "type": "string",
            "x-go-name": "UIDToken"
          }
        },
        "required": [
          "name"
        ],
        "title": "targetUpdateAerospike is a command that updates an existing Aerospike target.",
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client/commands"
      },
      "targetUpdateOutput": {
        "properties": {
          "target_id": {
            "format": "int64",
            "type": "integer",
            "x-go-name": "TargetID"
          }
        },
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client/commands"
      }
    }
  }
}
```